Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in postgresql13 und postgresql
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in postgresql13 und postgresql
ID: SUSE-SU-2021:0175-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15-SP2, SUSE Linux Enterprise Module for Server Applications 15-SP2, SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2
Datum: Mi, 20. Januar 2021, 18:25
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-25694
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-25696
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-25695
Applikationen: PostgreSQL, PostgreSQL

Originalnachricht


SUSE Security Update: Security update for postgresql, postgresql13
______________________________________________________________________________

Announcement ID: SUSE-SU-2021:0175-1
Rating: moderate
References: #1178666 #1178667 #1178668 #1178961 ECO-3049

Cross-References: CVE-2020-25694 CVE-2020-25695 CVE-2020-25696

Affected Products:
SUSE Linux Enterprise Module for Server Applications 15-SP2
SUSE Linux Enterprise Module for Packagehub Subpackages
15-SP2
SUSE Linux Enterprise Module for Basesystem 15-SP2
______________________________________________________________________________

An update that solves three vulnerabilities, contains one
feature and has one errata is now available.

Description:

This update for postgresql, postgresql13 fixes the following issues:

This update ships postgresql13.

Upgrade to version 13.1:

* CVE-2020-25695, bsc#1178666: Block DECLARE CURSOR ... WITH HOLD and
firing of deferred triggers within index expressions and materialized
view queries.
* CVE-2020-25694, bsc#1178667: a) Fix usage of complex connection-string
parameters in pg_dump, pg_restore, clusterdb, reindexdb, and vacuumdb.
b) When psql's \connect command re-uses connection parameters, ensure
that all non-overridden parameters from a previous connection string are
re-used.
* CVE-2020-25696, bsc#1178668: Prevent psql's \gset command from
modifying
specially-treated variables.
* Fix recently-added timetz test case so it works when the USA is not
observing daylight savings time. (obsoletes postgresql-timetz.patch)
* https://www.postgresql.org/about/news/2111/
* https://www.postgresql.org/docs/13/release-13-1.html

Initial packaging of PostgreSQL 13:

* https://www.postgresql.org/about/news/2077/
* https://www.postgresql.org/docs/13/release-13.html

- bsc#1178961: %ghost the symlinks to pg_config and ecpg.

Changes in postgresql wrapper package:

- Bump major version to 13.
- We also transfer PostgreSQL 9.4.26 to the new package layout in
SLE12-SP2 and newer. Reflect this in the conflict with postgresql94.
- Also conflict with PostgreSQL versions before 9.
- Conflicting with older versions is not limited to SLE.


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Server Applications 15-SP2:

zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP2-2021-175=1

- SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2:

zypper in -t patch
SUSE-SLE-Module-Packagehub-Subpackages-15-SP2-2021-175=1

- SUSE Linux Enterprise Module for Basesystem 15-SP2:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2021-175=1



Package List:

- SUSE Linux Enterprise Module for Server Applications 15-SP2 (aarch64
ppc64le s390x x86_64):

libecpg6-13.1-5.3.15
libecpg6-debuginfo-13.1-5.3.15
postgresql13-contrib-13.1-5.3.15
postgresql13-contrib-debuginfo-13.1-5.3.15
postgresql13-debuginfo-13.1-5.3.15
postgresql13-debugsource-13.1-5.3.10
postgresql13-debugsource-13.1-5.3.15
postgresql13-devel-13.1-5.3.15
postgresql13-devel-debuginfo-13.1-5.3.15
postgresql13-plperl-13.1-5.3.15
postgresql13-plperl-debuginfo-13.1-5.3.15
postgresql13-plpython-13.1-5.3.15
postgresql13-plpython-debuginfo-13.1-5.3.15
postgresql13-pltcl-13.1-5.3.15
postgresql13-pltcl-debuginfo-13.1-5.3.15
postgresql13-server-13.1-5.3.15
postgresql13-server-debuginfo-13.1-5.3.15
postgresql13-server-devel-13.1-5.3.15
postgresql13-server-devel-debuginfo-13.1-5.3.15

- SUSE Linux Enterprise Module for Server Applications 15-SP2 (noarch):

postgresql-contrib-13-4.6.7
postgresql-devel-13-4.6.7
postgresql-docs-13-4.6.7
postgresql-plperl-13-4.6.7
postgresql-plpython-13-4.6.7
postgresql-pltcl-13-4.6.7
postgresql-server-13-4.6.7
postgresql-server-devel-13-4.6.7
postgresql13-docs-13.1-5.3.15

- SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (aarch64
ppc64le s390x x86_64):

postgresql13-test-13.1-5.3.15

- SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (noarch):

postgresql-test-13-4.6.7

- SUSE Linux Enterprise Module for Basesystem 15-SP2 (aarch64 ppc64le s390x
x86_64):

libpq5-13.1-5.3.15
libpq5-debuginfo-13.1-5.3.15
postgresql13-13.1-5.3.15
postgresql13-debuginfo-13.1-5.3.15
postgresql13-debugsource-13.1-5.3.10
postgresql13-debugsource-13.1-5.3.15

- SUSE Linux Enterprise Module for Basesystem 15-SP2 (noarch):

postgresql-13-4.6.7

- SUSE Linux Enterprise Module for Basesystem 15-SP2 (x86_64):

libpq5-32bit-13.1-5.3.15
libpq5-32bit-debuginfo-13.1-5.3.15


References:

https://www.suse.com/security/cve/CVE-2020-25694.html
https://www.suse.com/security/cve/CVE-2020-25695.html
https://www.suse.com/security/cve/CVE-2020-25696.html
https://bugzilla.suse.com/1178666
https://bugzilla.suse.com/1178667
https://bugzilla.suse.com/1178668
https://bugzilla.suse.com/1178961
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung